Subject: Faces

From: [email-masked]
Date: Sat, 6 Apr 1996 14:19:19 -0500

We have talked about putting names and faces together.
Well I recently was able to put an internet name and face together.
While in FL I visted Bill Roberts of Ocala.  We spent a better part of an
afternoon together.  Bill is a really versatile smith who covers Jewelery,
artistic ability and plain old fabrication.   You should see the Air power
hammer he has made it is too good looking to use, and it works as well.
I am encouraged to do more visiting as it becomes possible, it's great fun.
 And even better I've never visited without learning something.
Can't wait to put more faces and names together at Alfred ABANA conference.

Gil Watkins
Coal River Blacksmithing
St Albans, WV
[email-masked]
(Striving to be known as a craftsman)